"""
Kreslení fraktálniho stromu pomocí rekurze
Upraveno z
ABELSON, Harold a Andrea A DISESSA. Turtle geometry: the computer as a medium for exploring mathematics. Cambridge, Mass.: MIT Press, c1981. ISBN 9780262010634.
"""

import turtle



def leva_vetev(zelva, hrana, uhel):
    """Kresli levou větev stromu"""
    zelva.forward(hrana) # posun dopredu
    vetveni(zelva, hrana * 0.7, uhel) # volej vetveni
    zelva.backward(hrana) # posun zpet


def prava_vetev(zelva, hrana, uhel):
    """Kresli pravou větev stromu"""
    zelva.forward(hrana) # posun dopredu
    vetveni(zelva, hrana * 0.7, uhel) # volej vetveni
    zelva.backward(hrana) # posun zpet

def vetveni(zelva, hrana, uhel):
    if hrana > 2 : # dokud to ma smysl kreslit
        zelva.left(uhel)
        leva_vetev(zelva, hrana, uhel) # volej kresleni leve vetve
        zelva.right(2*uhel) # otoc se zpet
        prava_vetev(zelva, hrana, uhel) # kresli pravou vetev
        zelva.left(uhel)


turtle.bgcolor("black")

t = turtle.Turtle()
t.color("red")

t.left(90) # otoc si do leva, bude nyni mirit nahoru
leva_vetev(t,100,30) # pocatecni hrana 100, uhel 30 stupnu

turtle.done()
