"""
Jednoduché použití knihovny pygame pro animaci posunu kuličky.
Je možné použít pro ilustraci cyklu while, jako jeho praktickou aplikaci.
Předpoklad je, že vyučující dodá daný zdrojový kód a vysvětlí studentům princip.

Možné náměty pro práci studentů:
1) Použití nekonečné smyčky a break, další procvičení while.
2) Změna barvy kuličky po stisku klávesy.
3) Kontrola pohybu kuličky uvnitř okna.
4) Změna tvaru pohybovaného tělesa.
5) Pokud studenti znají funkce, tak restrukturalizovat do funkcí.

Variantou je úloha s náhodným pohybem kuličky, která částečně řeší i bod 3.
"""
import pygame


pygame.init()
rozmery = [640, 480]
okno = pygame.display.set_mode(rozmery) # vytvoř okno hry
font = pygame.font.SysFont("None", 42)  #vytvoř/použij  systémový font
clock = pygame.time.Clock() #vytvoř objekt hodin


barva_kulicky = (250,0,0) #RGB červená barva kuličky
barva_pozadi = (0,0,100) # modrá barva pozadí
barva_pisma = (255,255,255) #bílá barva písma
pozice_x = 180 #počáteční x-ová pozice kuličky
pozice_y = 200 #počáteční y-ová pozice kuličky
polomer_kulicky = 20
krok_x = 2 # velikost posunu ve směru x
krok_y = 1 # velikost posunu ve směru y

beh = True #pomocná proměnná pro kontrolu běhu programu
while beh: # cyklus hry

    for event in pygame.event.get(): #obsluha událostí hry
        if event.type == pygame.QUIT: # kliknutí na křížek na okně
            beh = False

    keys_pressed = pygame.key.get_pressed() #zjištění informace o stisklé klávese
    if keys_pressed[pygame.K_RETURN]: #ukončení stiskem enter
        beh=False
    #řešení posunu stiskem kláves šipek vlevo, vpravo, nahoru a dolů
    if keys_pressed[pygame.K_LEFT]:
        pozice_x -= krok_x
    if keys_pressed[pygame.K_RIGHT]:
        pozice_x += krok_x
    if keys_pressed[pygame.K_UP]:
        pozice_y -= krok_y
    if keys_pressed[pygame.K_DOWN]:
        pozice_y += krok_y

    okno.fill(barva_pozadi) # překresli barvou pozadí, smaže se staré

    #výpis textu daným fontem do okna
    text = font.render("[ {0}, {1} ]".format(pozice_x,pozice_y), True, barva_pisma)
    okno.blit(text, [10, 10])

    #vykreslení kuličky na daných pozicích do okna
    pygame.draw.circle(okno,barva_kulicky,(pozice_x,pozice_y),polomer_kulicky)

    pygame.display.update() #vykreslení okna na obrazovku
    clock.tick(100) #počkání 100 ms, pozastavení cyklu while
