"""
Úloha na procvičení aplikace objektu množina.
Cílem je navrhnout program/funkci, která u každé zadané věty
určí, zda obsahuje zakázaná slova a kolik.

Z hlediska algoritmizace probrat se studenty, proč je není pro vstup
zakázaných slov použit seznam. Důvodem je vysšší náročnost vyhledávání
v seznamu než v množině.
"""

def rozdel_na_slova(veta):
    """
    Funkce rozdělující zadaný řetězec na jednotlivá slova.
    """
    oddelovace = ".,?!:;"
    for znak in oddelovace:
        veta = veta.replace(znak," ")
    return veta.split()


def detekce_problemu(veta, zakazano):
    """
    Funkce určující, zda na vstupu jsou zakázaná slova.
    Funkce vrací tuple s informací, zda je použito zakázané slovo a kolikrát.
    """
    pocet = 0
    for slovo in rozdel_na_slova(veta):
        if slovo in zakazano:
            pocet += 1
    if pocet > 0:
        return True,pocet
    else:
        return False,pocet


kastrati = {"hnup", "kapoun", "vůl", "skopec"}
nekastrati = {"tele", "osel","prase"}
zvirata = kastrati.union(nekastrati)
podezrela_slova = {"válka", "pravda","sabotáž"}

print(detekce_problemu("Každý osel ví, že válka je vůl.", kastrati))
print(detekce_problemu("Každý osel ví, že válka je vůl.", podezrela_slova ))
print(detekce_problemu("Každý osel ví, že válka je vůl.", podezrela_slova.union(zvirata) ))
