"""
Program rozšiřující původní úlohu převodu měn za použití knihovny Tkinter.
"""
from tkinter import *

#definice pomocných proměnných s kurzy
kurz_eur = 26
kurz_usd = 22
kurz_gbp = 29


root = Tk() #definice kořene okna/hlavní komponenta

vstup = StringVar() # proměnná vstupu umožňující databinding/binding
vystup_eur = StringVar() # proměnná výstupu
vystup_eur.set("Částka v EUR")


def preved_kc(castka, kurz):
    """
    Vlastní převod měn.
    """
    return castka/kurz

def prevod():
    """
    Obsluha kliknutí na tlačítko. Tato funkce je volána při stisku tlačítka Ok.
    Používá proměnné s bindingem, což jsou objekty podporující generování
    událostí při změně jejich hodnoty.
    """
    castka_eur = preved_kc(float(vstup.get()), kurz_eur)
    str_eur = str.format("Částka v EUR {0:.2f}".format(castka_eur))
    vystup_eur.set(str_eur)

def ukonci():
    """
    Obsluha kliknutí na tlačítko Konec. Zavře hlavní okno aplikace"
    """
    root.destroy()

def gui():
    """
    Funkce/procedura pro modelování GUI
    """
    root.geometry("220x100")
    root.title("Převodník")
    Label(root, text = "Zadej částku pro převod v KČ").pack()
    Entry(root, textvariable = vstup).pack()
    Label(root, textvariable = vystup_eur).pack()
    Button(root, text = "Ok", command = prevod).pack(side = LEFT)
    Button(root, text = "Konec", command = ukonci).pack(side = RIGHT)
    root.mainloop()

gui()

# Námět pro samostatnou práci studentů je doplnění převodu dalších měn.
# Je nutné přidat další labely do gui a modifikovat obslužnou proceduru prevod
