"""
Program ukazující reprezentaci ohodnoceného grafu pomocí slovníků.
Zároveň je možné použít jako ukázku použití zápisu do souboru.
Výsledný graf je možné si po importu prohlédnout https://www.yworks.com/yed-live/
"""

import io # pro použití vstupu a výstupu

def Export(data_grafu,nazev_grafu="graf",vystupni_soubor="graph.xml"):
    """
    Metoda pro export grafu reprezentovaného pomocí slovníku do formátu graphml.
    Výsledný XML dokument je vytvářen nízkoúrovňově, tj. pomocí textového zápisu
    do souboru.
    """
    hlavicka_xml = '<?xml version="1.0" encoding="UTF-8"?>\n'
    graphml_xml = ('<graphml '
    'xmlns = "http://graphml.graphdrawing.org/xmlns"\n'
    'xmlns:xsi = "http://www.w3.org/2001/XMLSchema-instance"\n'
    'xsi:schemaLocation = "http://graphml.graphdrawing.org/xmlns/1.0/graphml.xsd">\n')
    klice_xml = '<key id="vaha" for="edge" attr.name="weight" attr.type="double"/>\n'
    graf_xml = '<graph id="{0}" edgedefault="directed">\n'.format(nazev_grafu)
    with open(vystupni_soubor, 'w') as f:
        f.write(hlavicka_xml)
        f.write(graphml_xml)
        f.write(klice_xml)Simple
        f.write(graf_xml)
        for uzel,hrany in data_grafu.items():
            f.write("<node id=\"{0}\"/>\n".format(uzel))
            for cil,vaha in hrany.items():
                f.write("<edge id=\"{0}\" source=\"{1}\" target=\"{2}\">\n".format(uzel+cil,uzel,cil))
                f.write("<data key=\"vaha\">\"{0}\"</data>".format(vaha))
                f.write("</edge>")
        f.write("</graph>\n")
        f.write("</graphml>\n")



def Main():
    """
    Vlastní hlavní metoda programu.
    """
    graph = {"A": {"B": 4, "C": 6}, "B": {"C": 2, "E": 4, "D": 2}, "C": {"D": 2, "E": 3}, "D": {"E": 1, "F": 13},
            "E": {"F": 5},"F":{}}
    Export(graph)



Main()
