"""
Program ilustrující čtení ze souboru v textovém módu.
Program vypíše počet řádků, slov a znaků v souboru.
"""
import io # pro použití vstupu a výstupu
def rozdel_na_slova(veta):
    """Funkce rozdělující zadaný řetězec na jednotlivá slova."""
    oddelovace = ".,?!:;„“"
    for znak in oddelovace:
        veta = veta.replace(znak," ")
    return veta.split()

def zpracuj_soubor(cesta):
    """Vlastní výpočet statistiky nad souborem.
    Funkce vrací počet řádků, slov a znaků souboru.
    """
    pocet_radku = 0
    pocet_slov = 0
    pocet_znaku = 0
    with open(cesta, 'r') as f:
        for radek in f:
            pocet_radku += 1
            pocet_znaku += len(radek)
            for slovo in rozdel_na_slova(radek):
                pocet_slov += 1
    return pocet_radku, pocet_slov, pocet_znaku




radky, slova, znaky = zpracuj_soubor("pohadka.txt")

print("Počet řádků je {0}".format(radky))
print("Počet slov je {0}".format(slova))
print("Počet znaků je {0}".format(znaky))
